Bug 240557 - security/botan2: Update to 2.11.0
Summary: security/botan2: Update to 2.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL: https://botan.randombit.net/news.html...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-13 11:13 UTC by Ralf van der Enden
Modified: 2019-09-19 14:52 UTC (History)
1 user (show)

See Also:


Attachments
Update to Botan 2.11.0 (5.94 KB, patch)
2019-09-13 11:13 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Bump PORTREVISION of dependent ports (687 bytes, patch)
2019-09-13 11:15 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to Botan 2.11.0 (fixed version) (6.27 KB, patch)
2019-09-19 07:51 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2019-09-13 11:13:56 UTC
Created attachment 207456 [details]
Update to Botan 2.11.0

QA:
portlint: OK (looks fine.)
testport: OK (12.0, amd64)
Comment 1 Ralf van der Enden 2019-09-13 11:15:05 UTC
Created attachment 207457 [details]
Bump PORTREVISION of dependent ports
Comment 2 Ralf van der Enden 2019-09-13 11:16:47 UTC
Also tested building editors/encryptpad and sysutils/daggy. Neither showed any issues.
Comment 3 Dmitri Goutnik freebsd_committer 2019-09-18 18:51:56 UTC
Fails to stage in poudriere:

===>  Staging for botan2-2.11.0
===>   Generating temporary packing list
gmake[1]: Entering directory '/wrkdirs/usr/ports/security/botan2/work/Botan-2.11.0'
python3.6 src/scripts/install.py --prefix="/usr/local" --build-dir="build" --bindir=bin --libdir=lib --docdir=share/doc --includedir=include
   INFO: Botan 2.11.0 installation complete
gmake[1]: Leaving directory '/wrkdirs/usr/ports/security/botan2/work/Botan-2.11.0'
/usr/bin/strip /wrkdirs/usr/ports/security/botan2/work/stage/usr/local/bin/botan /wrkdirs/usr/ports/security/botan2/work/stage/usr/local/lib/libbotan-2.so...0
strip: open /wrkdirs/usr/ports/security/botan2/work/stage/usr/local/lib/libbotan-2.so...0 failed: No such file or directory
*** Error code 1

Shouldn't SHLIBVER be renamed to _SHLIBVER in post-install too?

CONFIGURE_ARGS=         --cc=${COMPILER_TYPE} \
...
                        --with-external-includedir=${PREFIX}/include \
                        --with-external-libdir=${PREFIX}/lib \

Probably should refer LOCALBASE instead of PREFIX.
Comment 4 Ralf van der Enden 2019-09-19 07:51:53 UTC
Created attachment 207617 [details]
Update to Botan 2.11.0 (fixed version)

Sorry for messing up the Makefile post-testing. I've changed SHLIBVER to _SHLIBVER everywhere now and incorporated your suggestion about changing PREFIX to LOCABASE.

Built fine in poudriere and portlint is also happy.
Comment 5 commit-hook freebsd_committer 2019-09-19 14:44:16 UTC
A commit references this bug:

Author: dmgk
Date: Thu Sep 19 14:44:07 UTC 2019
New revision: 512344
URL: https://svnweb.freebsd.org/changeset/ports/512344

Log:
  security/botan2: Update to 2.11.0

  Changes:	https://botan.randombit.net/news.html#version-2-11-0-2019-07-01

  PR:		240557
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Approved by:	araujo (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21716

Changes:
  head/security/botan2/Makefile
  head/security/botan2/distinfo
  head/security/botan2/files/
  head/security/botan2/pkg-plist
Comment 6 commit-hook freebsd_committer 2019-09-19 14:49:18 UTC
A commit references this bug:

Author: dmgk
Date: Thu Sep 19 14:48:49 UTC 2019
New revision: 512346
URL: https://svnweb.freebsd.org/changeset/ports/512346

Log:
  Bump PORTREVISION of ports depending on security/botan2

  PR:		240557
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Approved by:	araujo (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21716

Changes:
  head/devel/qca/Makefile
  head/editors/encryptpad/Makefile
  head/sysutils/daggy/Makefile
Comment 7 Dmitri Goutnik freebsd_committer 2019-09-19 14:52:05 UTC
Committed, thanks for the update.

I had to additionally disable getentropy and elf_aux_info features when OSVERSION < 1200000 because these are available only in FreeBSD 12.